### Function

# Gimp RunPatternCallback

#### Declaration

    void
    (* GimpRunPatternCallback) (
      const gchar* pattern_name,
      gint width,
      gint height,
      gint bpp,
      const guchar* mask_data,
      gboolean dialog_closing,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`pattern_name` | `const gchar*`
| Name of the pattern.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`width` | `gint`
| Width.
`height` | `gint`
| Height.
`bpp` | `gint`
| Bytes per pixel.
`mask_data` | An array of `guchar`
| Mask data.
| The data is owned by the caller of the function.
`dialog_closing` | `gboolean`
| Dialog closing?
`user_data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.